<div class="atp-footer-container" style="border-top: 1px solid white;">
  <div class="h-100 d-flex">
    <button class="atp-footer-btn" [value]="COMPLETED" (click)="popupFooterBtnClick(COMPLETED)" *ngIf="status == STATUS_PENDING" matTooltip="Mark an Appointment as Completed">
      <img src="./assets/ic-appt-tooltip/right.png">
    </button>
    <button class="atp-footer-btn" [value]="CANCELLED" (click)="popupFooterBtnClick(CANCELLED)" *ngIf="status == STATUS_PENDING" matTooltip="Mark an Appointment as Cancelled">
      <img src="./assets/ic-appt-tooltip/close.png">
    </button>
    <button class="atp-footer-btn" [value]="MISSED" (click)="popupFooterBtnClick(MISSED)" *ngIf="status == STATUS_PENDING" matTooltip="Mark an Appointment as Missed">
      <img src="./assets/ic-appt-tooltip/appt-missed.png">
    </button>
    <button class="atp-footer-btn" [value]="CHANG_STATUS" (click)="popupFooterBtnClick(CHANG_STATUS)" matTooltip="Appointment Status">
      <img src="./assets/ic-appt-tooltip/{{icApptStatusChange}}/appt-status-change.png">
    </button>
    <button class="atp-footer-btn" [value]="MORE" (click)="popupFooterBtnClick(MORE)" matTooltip="More Options">
      <img src="./assets/ic-appt-tooltip/{{icMore}}/more.png">
    </button>
  </div>
</div>

<ng-template #cancelledPastApptWarning>
  <div style="padding: 20px;">
    You are trying to cancel the past appointment, Do you wish to proceed?
  </div>
</ng-template>

<ng-template #missedFutureApptWarning>
  <div style="padding: 20px;">
    You are trying to mark the future appointment as missed, Do you wish to proceed?
  </div>
</ng-template>
